## jmb38x-dkms 20120501.stella2

=== jmb38x-20120501.stella2/Makefile ===
obj-m += memstick.o mspro_block.o
obj-m += xd_card.o
obj-m += flash_bd.o
obj-m += jmb38x_ms.o
obj-m += jmb38x_xd.o

xd_card-objs := xd_card_blk.o xd_card_ecc.o

KERNELDIR ?= /lib/modules/$(KVER)/build

PWD       := $(shell pwd)
MODULE_INSTALLDIR = /lib/modules/$(KVER)/kernel/drivers/jmb38x
EXTRA_CFLAGS = -fno-inline #-DDEBUG

all:
	echo $(PWD)
	$(MAKE) -C $(KERNELDIR) M=$(PWD)

clean:
	rm -rf *.o *.o.d *.ko.d .depend .*.cmd *.ko *.mod.c .tmp_versions *.symvers Module.markers modules.order

install: all
	mkdir -p $(MODULE_INSTALLDIR)
	rm -f $(MODULE_INSTALLDIR)/*.ko
	rm -rf $(MODULE_INSTALLDIR)/../memstick

	install -c -m 644 *.ko $(MODULE_INSTALLDIR)
	/sbin/depmod -ae

	echo "# remove modules in initramfs " >> /etc/rc.local  
	echo "rmmod jmb38x_ms" >> /etc/rc.local
	echo "rmmod mspro_block" >> /etc/rc.local
	echo "rmmod flash_bd" >> /etc/rc.local
	echo "rmmod xd_card" >> /etc/rc.local
	echo "rmmod jmb38x_xd" >> /etc/rc.local
	echo "modprobe jmb38x_ms" >> /etc/rc.local
	echo "modprobe mspro_block" >> /etc/rc.local
	echo "modprobe flash_bd" >> /etc/rc.local
	echo "modprobe xd_card" >> /etc/rc.local
	echo "modprobe jmb38x_xd" >> /etc/rc.local

=== debian/changelog ===
jmb38x-dkms (20120501.stella2) precise; urgency=low

  * Solve upgrade kernel issue. (LP: #1088407)

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Wed, 12 Dec 2012 16:38:44 +0800

jmb38x-dkms (20120501.stella1) precise; urgency=low

  * Initial release. (Closes: #1010330)

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Mon, 02 Jul 2012 11:32:40 +0800

=== debian/control ===
Source: jmb38x-dkms
Section: misc
Priority: optional
Maintainer: Canonical OEM Services <solutions-group@lists.canonical.com>
Build-Depends: debhelper (>= 7.0.50~), dh-modaliases, dkms
Standards-Version: 3.8.4

Package: jmb38x-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
XB-Modaliases: ${modaliases}
Description: jmb38x driver in DKMS format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=jmb38x
NAME=jmb38x
VERSION=20120501.stella2

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_installchangelogs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_modaliases
	dh_install
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
